package name.abhijitsarkar.javaee.cdiconsumer;

import static org.jboss.shrinkwrap.api.ShrinkWrap.create;
import static org.junit.Assert.assertNotNull;

import java.io.File;
import java.io.FileNotFoundException;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Filters;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.jboss.shrinkwrap.resolver.api.maven.Maven;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class ConsumerTest {
	@Deployment
	public static WebArchive createDeployment() throws FileNotFoundException {
		File[] libs = Maven.resolver().loadPomFromFile("pom.xml")
				.importRuntimeDependencies().resolve().withTransitivity()
				.asFile();
		WebArchive app = create(WebArchive.class, "cdi-consumer" + ".war")
				.addPackages(true, Filters.exclude(".*Test.*"),
						Consumer.class.getPackage())
				.addAsWebInfResource(
						new File("src/main/webapp", "WEB-INF/beans.xml"))
				.addAsLibraries(libs);

		System.out.println(app.toString(true));

		return app;
	}

	@Test
	public void testGetClient() {
		assertNotNull(new Consumer().getClient());
	}
}
